package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.SpecialPerformance;
import com.bcxin.ins.vo.SpecialPerformanceVo_1;
import com.bcxin.ins.vo.SpecialPerformanceVo_2;
import com.bcxin.ins.vo.SpecialPerformanceVo_3;
import com.bcxin.mybatisplus.service.IService;

public interface SpecialPerformanceAPIService extends IService<SpecialPerformance> {
	
	public SpecialPerformance getInsSpecialPerformanceBusiness(Long oid);
	
	public SpecialPerformance initInsSpecialPerformance();
	
	public void getSpecialPerformanceVo_1BySpecial_id(SpecialPerformanceVo_1 vo, Long ceID);
	
	public void getSpecialPerformanceVo_2BySpecial_id(SpecialPerformanceVo_2 vo, Long ceID);

	public void getSpecialPerformanceVo_3BySpecial_id(SpecialPerformanceVo_3 vo,
                                                Long ceID);

	public void accordingToTheSpecialPerformanceVo_1SetUpInsSpecialPerformance(
            SpecialPerformanceVo_1 vo, Long special_id);

	public void accordingToTheSpecialPerformanceVo_2SetUpInsSpecialPerformance(
            SpecialPerformanceVo_2 vo, Long special_id);

	public void accordingToTheSpecialPerformanceVo_3SetUpInsSpecialPerformance(
            SpecialPerformanceVo_3 vo, Long special_id);
}
